  addToCampaign:
    modalityLevel: light
    presenterClass: info.magnolia.campaignpublisher.ui.presenter.MultiFormDialogPresenter
    actions:
      extends: /modules/ui-framework/dialogs/generic/standardActions
      commit:
        class: info.magnolia.campaignpublisher.ui.action.AddToCampaignFormAction$Definition
    form:
      tabs:
        item:
          fields:
            campaign:
              class: info.magnolia.campaignpublisher.ui.field.SelectCampaignFieldDefinition
            includeDependencies:
              class: info.magnolia.ui.form.field.definition.CheckboxFieldDefinition
              type: Boolean
  createCampaign:
    modalityLevel: light
    actions:
      commit:
        class: info.magnolia.ui.form.action.SaveFormActionDefinition
        implementationClass: info.magnolia.ui.form.action.SaveFormAction
      cancel:
        class: info.magnolia.ui.form.action.CancelFormActionDefinition
    form:
      tabs:
        campaign:
          fields:
            name:
              class: info.magnolia.ui.form.field.definition.TextFieldDefinition
              name: jcrName
            archived:
              class: info.magnolia.ui.form.field.definition.CheckboxFieldDefinition
              type: Boolean
  editCampaign:
    extends: ../createCampaign
  includeUnpublishedParents:
    modalityLevel: light
    actions:
      commit:
        class: info.magnolia.campaignpublisher.ui.action.AddUnpublishedParentNodesAction$Definition
      cancel:
        class: info.magnolia.ui.form.action.CancelFormActionDefinition
    form:
      tabs:
        campaign:
          fields:
            unpublishedParents:
              class: info.magnolia.campaignpublisher.ui.field.UnpublishedParentNodesFieldDefinition
            includeDependencies:
              class: info.magnolia.ui.form.field.definition.CheckboxFieldDefinition
              type: Boolean
